#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Mutter-45.4

- Next

  gnome-shell-extensions-45.2

- Up
- Home

# gnome-shell-45.4

## Introduction to GNOME Shell

The GNOME Shell is the core user interface of the GNOME Desktop environment.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gnome-shell/45/gnome-shell-45.4.tar.xz

- Download MD5 sum: 4b3f4593b986af9799e8a62f87d723ae

- Download size: 1.9 MB

- Estimated disk space required: 60 MB (with tests)

- Estimated build time: 0.4 SBU (Using parallelism=4; with tests)

### GNOME Shell Dependencies

#### Required

evolution-data-server-3.50.4, Gcr-4.2.0, Gjs-1.78.4, gnome-desktop-44.0, ibus-1.5.29, Mutter-45.4, Polkit-124, sassc-3.6.2, and startup-notification-0.12

#### Recommended

desktop-file-utils-0.27, gnome-autoar-0.4.4, gnome-bluetooth-42.8, gst-plugins-base-1.22.10, NetworkManager-1.44.2, and power-profiles-daemon-0.20 (for laptops)

#### Optional

GTK-Doc-1.33.2 and bash-completion

#### Required Runtime Dependencies

adwaita-icon-theme-45.0, DConf-0.40.0, GDM-45.0.1, gnome-backgrounds-45.0, gnome-control-center-45.3, gnome-menus-3.36.0, libgweather-4.4.0, Systemd-255, and telepathy-mission-control-5.16.6

## Installation of GNOME Shell

Install GNOME Shell by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -Dtests=false       \
                ..                  &&
    ninja

To test the results, you need to remove the `-Dtests=false` switch, and to have Mutter-45.4 compiled and installed with tests also. To run the tests, issue: ninja test. You must be running an X session to run the tests. Some will fail if GDM-45.0.1 is not installed. One test named `CSS styling support` is known to fail with some multi-monitor configurations.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dtests=false`: Remove this switch if you want to build the tests. But then meson will fail if Mutter-45.4 tests are not installed.

`-Dextensions_tool=false`: This switch allows building this package without gnome-autoar-0.4.4 installed.

## Contents

Installed Programs: gnome-extensions, gnome-extensions-app, gnome-shell, gnome-shell-extension-prefs, gnome-shell-extension-tool, and gnome-shell-perf-tool
Installed Libraries: None
Installed Directories: /usr/lib/gnome-shell, /usr/share/gnome-shell, /usr/share/gtk-doc/html/{shell,st} (optional), and /usr/share/xdg-desktop-portal/

### Short Descriptions

gnome-shell | provides the core user interface functions for the GNOME Desktop

- Prev

  Mutter-45.4

- Next

  gnome-shell-extensions-45.2

- Up
- Home